## netpbm-free 10.0-8ubuntu1.2

=== debian/changelog ===
netpbm-free (2:10.0-8ubuntu1.2) breezy-security; urgency=low

  * SECURITY UPDATE: Arbitrary code execution with crafted images.
  * pnm/pnmtopng.c:
    - Increase size of alphas_first_index and alphas_of_color_cnt arrays to
      fix off-by-one buffer overflow when using -alpha with an image with
      exactly 256 colors.
    - CVE-2005-3662
  * pnm/pnmtopng.c:
    - Fix buffer overflow on overly long text lines.
    - CVE-2005-3632

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 21 Nov 2005 12:09:56 +0000

netpbm-free (2:10.0-8ubuntu1.1) breezy-security; urgency=low

  * SECURITY UPDATE: Arbitrary code exection with crafted images.
  * ./pnm/pnmtopng.c: Fix some uninitialized variables to fix buffer overflow
    with certain PNG images.
  * CAN-2005-2978

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 13 Oct 2005 13:24:07 +0200

netpbm-free (2:10.0-8ubuntu1) breezy; urgency=low

  * SECURITY UPDATE: Fix arbitrary code execution.
  * pnm/pstopnm.c:
    - Use -dSAFER when calling gs to prohibit file I/O and opening pipes to
      arbitrary programs in untrusted PostScript code.
  * References:
    CAN-2005-2471
    http://bugs.debian.org/319757

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 11 Aug 2005 13:37:40 +0200

netpbm-free (2:10.0-8) unstable; urgency=low

  * add missing report for windows icon files in icontopbm; until now, we
    detected them, but didn't report them. Thanks, Steve, for pointing it out.
    Closes: #275663.

 -- Andreas Barth <aba@amd>  Sun, 10 Oct 2004 11:49:32 +0200

netpbm-free (2:10.0-7) unstable; urgency=medium

  * really include the fix of #238372.

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 05 Sep 2004 16:31:28 +0200

netpbm-free (2:10.0-6) unstable; urgency=high

  * add warning in icontopbm when used on a windows icon. Closes: #268676.
  * ppmlabel manpage improved; thanks to Richard Hosker. Closes: #265366.
  * pnmtops supports 4-level grayscale again; thanks to Wayne Schlitt.
    Closes: #248652.
  * no need to depend on essential sed. Closes: #263787.
  * add warning about pnmtofits/signed data; thanks to Justin Pryzby.
    For details, see #268239.
  * fix inconsistency error in pnmtopng; thanks to Ross J. Reedstrom.
    Closes: #238372.

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 29 Aug 2004 17:16:57 +0200

netpbm-free (2:10.0-5) unstable; urgency=low

  * build-depends against libtiff4.
  * fix typo in ppmtowinicon. Closes: #261999.

 -- Andreas Barth <aba@not.so.argh.org>  Thu, 29 Jul 2004 20:25:46 +0200

netpbm-free (2:10.0-4) unstable; urgency=low

  * gif is free again! So added ppmtogif.

 -- Andreas Barth <aba@not.so.argh.org>  Thu, 08 Jul 2004 20:06:39 +0200

netpbm-free (2:10.0-3) unstable; urgency=low

  * removed subtle build error with sudo

 -- Andreas Barth <aba@not.so.argh.org>  Tue,  3 Feb 2004 19:27:10 +0100
  

netpbm-free (2:10.0-2) unstable; urgency=low

  * Really included st4topgm this time.
  * winicontoppm can now handle icons > 256 colors. Closes: #153917
  * fixed manpage of ppmtowinicon. Closes: #215756
  * pnmnorm can now handle 16-bit samples. Closes: #129452
  * ppmtobmp uses correct bpp-values. Closes: #227125

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 18 Jan 2004 19:34:48 +0100

netpbm-free (2:10.0-1) unstable; urgency=low

  * ppmtompeg cares about buffering now. Closes: #218295
  * catch up with netpbm.sf.net 10.0
    - pnmtops: No setpagedevice by default
    - added pbmtextps
    - minor changes in HISTORY
  * Included st4topgm. Closes: #223506
  * renamed optParseOptions* to pm_*
  * started reworking of documentation, and added README.1st

 -- Andreas Barth <aba@not.so.argh.org>  Sun,  4 Jan 2004 19:55:15 +0100
