=== debian/control ===
Source: netpbm-free
Section: graphics
Priority: optional
Maintainer: Andreas Barth <aba@not.so.argh.org>
Uploaders: Steve McIntyre <93sam@debian.org>
Standards-Version: 3.6.1.0
Build-Depends: libtiff4-dev, libjpeg62-dev, debhelper (>= 4), libpng12-dev, zlib1g-dev, flex

Package: netpbm
Architecture: any
Depends: bc, libnetpbm10 (>= ${Source-Version}), ${shlibs:Depends}
Recommends: gs | gs-aladdin
Conflicts: netpbm-nonfree (<= 1:19940301.1-3), pnmtopng, pbmwbmp, netpbm-dev (<= 2:9.10), ucbmpeg (<= 1r2-6)
Replaces: pnmtopng, pbmwbmp, netpbm-dev, netpbm-nonfree
Provides: pnmtopng, pbmwbmp
Description: Graphics conversion tools
 Netpbm is a toolkit for manipulation of graphic images, including
 conversion of images between a variety of different formats. There
 are over 220 separate tools in the package including converters for
 more than 80 graphics formats.
 .
 Website is http://netpbm.alioth.debian.org/
Section: graphics

Package: libnetpbm10
Architecture: any
Depends: ${shlibs:Depends}
Description: Shared libraries for netpbm
 This package contains the shared libraries used by netpbm.
Section: libs

Package: libnetpbm10-dev
Architecture: any
Depends: libnetpbm10
Conflicts: netpbm-dev,libnetpbm9-dev
Replaces: netpbm-dev
Provides: netpbm-dev
Description: Development libraries and header files
 This development package contains the library and header
 files for the pbm, pgm, pnm, and ppm graphics formats.
Section: libdevel

Package: libnetpbm9
Architecture: any
Depends: ${shlibs:Depends}
Description: Shared libraries for netpbm
 This package contains shared libraries used to be used by netpbm.
 Now we've switched to a single shared library, look out for libnetpbm10.
 This package is provided for backward compatibility.
Section: libs

Package: libnetpbm9-dev
Architecture: any
Depends: libnetpbm9
Conflicts: netpbm-dev
Replaces: netpbm-dev
Provides: netpbm-dev
Description: Development libraries and header files
 This development package contains the library and header
 files for the pbm, pgm, pnm, and ppm graphics formats, if the split
 and now deprecated libraries are used.
 .
 This package is provided for backward compatibility.
Section: libdevel
