## netpbm-free 10.0.2

=== pbm/Makefile ===
--- 
+++ 
@@ -19,6 +19,12 @@
 		pbmtox10bm pbmtoxbm pbmtoybm pbmtozinc \
 		pbmupc pi3topbm \
 		wbmptopbm xbmtopbm ybmtopbm	
+
+CFLAGS = `dpkg-buildflags --get CFLAGS`
+CFLAGS += `dpkg-buildflags --get CPPFLAGS`
+LDFLAGS = `dpkg-buildflags --get LDFLAGS`
+export CFLAGS
+export LDFLAGS
 
 ifneq ($(LEX)x,x)
   PORTBINARIES += thinkjettopbm
