=== pgm/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PORTBINARIES =	asciitopgm bioradtopgm fstopgm hipstopgm \
 		lispmtopgm pbmtopgm pgmbentley pgmenhance pgmhist \
 		pgmnoise pgmramp pgmslice pgmtofs pgmtolispm \
-		pgmtopbm psidtopgm sbigtopgm
+		pgmtopbm psidtopgm sbigtopgm st4topgm
 MATHBINARIES =	pgmcrater pgmedge pgmtexture rawtopgm pgmkernel
 BINARIES =	$(PORTBINARIES) $(MATHBINARIES)
