=== ppm/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 		ppmtoyuvsplit ppmtv ppmtoneo \
 		qrttoppm rawtoppm rgb3toppm sldtoppm spctoppm \
 		sputoppm tgatoppm winicontoppm ximtoppm xpmtoppm xvminitoppm \
-		yuvtoppm yuvsplittoppm
+		yuvtoppm yuvsplittoppm ppmtogif
 
 #		picttoppm 
 # We don't build vidtoppm by default, because it requires special libraries
