=== debian/changelog ===
netpbm-free (2:10.0.2-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: f92f37f0f949bec937bd609c1725f8e5bf3a94b3']

 -- shuttle <shuttle@deepin.com>  Thu, 19 Dec 2019 22:42:18 +0000
