## netpbm-free 10.78.05

=== debian/changelog ===
netpbm-free (2:10.78.05-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #159847, #380172, LP: #270479)
    - Bump libnetpbm soname to 11 and drop the old compatibility library
      (libnetpbm9)
    - Fix various segfaults (Closes: #315795, #412935, #412783, #412785,
      #502847, #614156, #777480, #777485, #777489, #777533, #838367)
    - Drop all the patches. The current fork is 10 years+ old and most of them
      are not applying anymore. Instead rely on the security patches shipped
      on Fedora.
    - Do not call install with -s and honour DEB_BUILD_OPTIONS=nostrip
      (Closes: #777476)
    - Ship the ppmtoppm program (Closes: #596113)
    - Add C++ guard in header files (Closes: #377247)
    - Add multi-image PBM support to pbmttolj (Closes: #398953)
    - Add -truetransparent option to ppmtowinicon (Closes: #597686)
    - Ship the pnmstitch program (Closes: #405877)
    - Add "-image=all" option to giftopnm (Closes: #395087)
  * Bump debhelper compatibility to 10
  * Switch to dh sequences.
  * Switch to source format 3.0 (quilt)
  * Bump Standards-Version to 3.9.8
  * debian/control:
    - Add a dependency against perl on netpbm package (${perl:Depends})
    - Add libx11-dev, pkg-config and libxml2-dev to the build-dependencies
    - Add a build-dependency against python, used to generate the manpages
    - Drop all the old Conflict/Replaces, these were ancient
    - Point the Homepage to http://netpbm.sourceforge.net/
  * Install a netpbm.pc pkg-config file
  * Build with SSE support on amd64 architecture

 -- Laurent Bigonville <bigon@debian.org>  Thu, 15 Jun 2017 01:24:45 +0200

netpbm-free (2:10.0-15.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with libpng1.6 -- see 648131libpng16.patch (Closes: #648131)
  * Change B-D to libpng-dev (Closes: #662444)

 -- Tobias Frost <tobi@debian.org>  Sat, 30 Jan 2016 16:51:10 +0100

netpbm-free (2:10.0-15.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Indicate that netbpm replaces files in kdelibs4c2a (closes: #766774).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 02 Nov 2014 02:34:18 +0000

netpbm-free (2:10.0-15.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Colin Watson ]
  * Make netpbm Multi-Arch: foreign, so that it can satisfy
    cross-build-dependencies (Closes: #700007).

  [ Michael Terry ]
  * Build-Depend on libtiff5-dev (Closes: #681009).

  [ Andrew Shadura ]
  * Numerous fixes to the manpages, thanks to Bjarni Ingi Gislason,
    Christophe Troestler, Torkel Bjørnson-Langen, Benoit-Pierre Demaine
    (Closes: #294080, #464879, #663254, #675259, #675260, #675261, #675381,
    #675383, #675384, #735262).
  * Remove extra debug messages from pcxtoppm, thanks to Vladimir Rutsky
    (Closes: #531817).
  * Add imagetops (Closes: #623444).
  * Enable hardening flags, add missing format strings; thanks to Moritz
    Muehlenhoff (Closes: #655737).

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 05 Oct 2014 21:51:56 +0200

netpbm-free (2:10.0-15) unstable; urgency=low

  * fix patch for jpeg7 to really work.

 -- Andreas Barth <aba@not.so.argh.org>  Fri, 29 Jul 2011 23:34:21 +0000

netpbm-free (2:10.0-13) unstable; urgency=low

  * add patch to build with jpeg7, thanks to Bill Allombert
  * adjust build-dependencies to build with libjpeg-dev and libtif-dev.
    Closes: #546416
  * fix pbmtextps, thanks to Håkon Stordah. Closes: #405048
  * pnmquant works with stdin. Thanks to Héctor García.
    Closes: #283203
  * fix pstopnm BoundingBox with llx = -1. Thanks to Christophe Rhodes.
    Closes: #325341
  * ignore white-space with images. Thanks to Shaun Jackman.
    Closes: #354891
  * fix gif2pnm when LZW code is split across three blocks.
    Thanks to Rik Snel. Closes: #483921
  * fix pnmindex to handle space in file names. Thanks to
    Anders Boström. Closes: #495716
  * fix pnmquant to work with stdin. Thanks to Bart Massey.
    Closes: #602360
  * fix pcxtoppm and docu. Thanks to Vladimir Rutsky.
    Closes: #531626, #531630.

 -- Andreas Barth <aba@not.so.argh.org>  Fri, 29 Jul 2011 13:59:43 +0000

netpbm-free (2:10.0-12.2) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix stack-based buffer overflow when processing XPM
    image header fields. This can result in the execution
    of arbitrary code (CVE-2009-4274; Closes: #569060)

 -- Nico Golde <nion@debian.org>  Sun, 20 Jun 2010 14:27:25 +0200

netpbm-free (2:10.0-12.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
  * debian/compat
    - update to 7.
  * debian/control
    + top level
      - (Standards-Version): update from 3.6.1.0 to 3.8.4 (W: lintian).
      - (Homepage): Move here (P: lintian).
      - (Vcs-*): Add new fields.
    + netpbm
      - (Build-Depends): update to debhelper 7 (W: lintian).
      - (Depends): change obsolete gs, gs-aladdin to ghostscript (E:
        lintian). Add ${misc:Depends} for debhelper (W: lintian). Use newer
        tag ${source:Version} (W: lintian).
      - (Section): Remove inherited field (I: lintian).
    + libnetpbm9
      - Depends): Add ${misc:Depends} for debhelper (W: lintian).
      - (Description): Add 'v9' to make line unique (I: lintian).
    + libnetpbm9-dev
      - (Depends): Add ${misc:Depends} for debhelper' (W: lintian).
        Add ${binary:Version} (E: lintian).
      - (Description): Add 'v9' to make line unique (I: lintian).
    + libnetpbm10
      - (Description): Improve first line (I: lintian).
      - (Depends): Add ${misc:Depends} for debhelper (W: lintian).
        Add ${binary:Version} (E: lintian).
    + libnetpbm10-dev
      - (Description): Improve first line (I: lintian).
      - (Depends): Add ${misc:Depends} for debhelper (W: lintian).
  * debian/copyright
    - Change to UTF-8 (W: lintian).
  * ppm/{xpmtoppm.c,xvminitoppm.c}
    - Fix Gcc 4.4 error: conflicting types for getline (FTBFS serious;

