=== debian/control ===
Source: netpbm-free
Section: graphics
Priority: optional
Maintainer: Andreas Barth <aba@not.so.argh.org>
Uploaders: Steve McIntyre <93sam@debian.org>
Standards-Version: 3.9.8
Build-Depends: libtiff5-dev, libjpeg-dev, debhelper (>= 10), libpng-dev, zlib1g-dev, flex, libx11-dev, pkg-config, libxml2-dev, python
Homepage: http://netpbm.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/netpbm.git
Vcs-Git: git://anonscm.debian.org/collab-maint/netpbm.git

Package: netpbm
Architecture: any
Multi-Arch: foreign
Depends: libnetpbm11 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: ghostscript
Provides: pnmtopng, pbmwbmp
Description: Graphics conversion tools between image formats
 Netpbm is a toolkit for manipulation of graphic images, including
 conversion of images between a variety of different formats. There
 are over 220 separate tools in the package including converters for
 more than 80 graphics formats.

Package: libnetpbm11
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Graphics conversion tools shared libraries
 This package contains the shared libraries used by netpbm.

Package: libnetpbm11-dev
Section: libdevel
Architecture: any
Depends: libnetpbm11 (= ${binary:Version}), ${misc:Depends}
Conflicts: netpbm-dev,libnetpbm9-dev
Replaces: netpbm-dev
Provides: netpbm-dev
Description: Graphics conversion tools development libraries and header files
 This development package contains the library and header
 files for the pbm, pgm, pnm, and ppm graphics formats.
