=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

include ./version.mk
MAJOR=$(NETPBM_MAJOR_RELEASE)
MINOR=$(NETPBM_MINOR_RELEASE)
POINT=$(NETPBM_POINT_RELEASE)

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	cp config.mk.in config.mk
	cat debian/config.mk.debian >> config.mk
	echo "CFLAGS = `dpkg-buildflags --get CFLAGS`" >> config.mk
ifeq ($(DEB_HOST_ARCH),amd64)
	echo 'WANT_SSE = Y' >> config.mk
endif

override_dh_auto_build:
	dh_auto_build
# build the manpages
	mkdir netpbmdoc
	cd netpbmdoc; \
		$(MAKE) USERGUIDE=../userguide/ -f ../buildtools/manpage.mk manpages

override_dh_auto_clean:
	[ ! -f config.mk ] || $(MAKE) distclean
	rm -rf debian/netpbm-test debian/netpbm-test.bak
	rm -rf netpbmdoc

override_dh_auto_install:
	mkdir -p debian/tmp/
	$(MAKE) package PKGDIR=$(CURDIR)/debian/tmp/usr
# install the manpages
	install -m 0755 -d debian/tmp/usr/share/man/man1
	install -m 0755 -d debian/tmp/usr/share/man/man3
	install -m 0755 -d debian/tmp/usr/share/man/man5
	cd netpbmdoc; \
		$(MAKE) MANDIR=$(CURDIR)/debian/tmp/usr/share/man USERGUIDE=../userguide/ -f ../buildtools/manpage.mk installman
# Move the library to the multi-arch path
	install -m 0755 -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib/lib* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	cd debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libnetpbm.so.?? libnetpbm.so
	cp debian/tmp/usr/link/libnetpbm.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	install -m 0755 -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	sed -e 's|@INCLUDEDIR@|/usr/include/netpbm|' \
		-e 's|@LINKDIR@|/usr/lib/$(DEB_HOST_MULTIARCH)|' \
		-e 's|@VERSION@|Netpbm $(MAJOR).$(MINOR).$(POINT)|' \
		debian/tmp/usr/pkgconfig_template > debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/netpbm.pc


override_dh_auto_test:
	$(MAKE) check-tree RESULTDIR=$(CURDIR)/debian/netpbm-test || true

override_dh_install:
	dh_install --list-missing
